summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2021-02-02 01:49:36 +0100
committerThomas Deutschmann <whissi@gentoo.org>2021-02-02 02:18:29 +0100
commit1a47ceb0643bf76513bd9981ddee3d87ed1d9548 (patch)
tree81868620074985915a8ef5c641c375c04234221f
parentdev-php/PEAR-Mail_Mime: bump to v1.10.10 (diff)
downloadgentoo-1a47ceb0643bf76513bd9981ddee3d87ed1d9548.tar.gz
gentoo-1a47ceb0643bf76513bd9981ddee3d87ed1d9548.tar.bz2
gentoo-1a47ceb0643bf76513bd9981ddee3d87ed1d9548.zip
dev-php/PHP_CodeSniffer: bump to v3.5.8
Package-Manager: Portage-3.0.14, Repoman-3.0.2 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
-rw-r--r--dev-php/PHP_CodeSniffer/Manifest1
-rw-r--r--dev-php/PHP_CodeSniffer/PHP_CodeSniffer-3.5.8.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/dev-php/PHP_CodeSniffer/Manifest b/dev-php/PHP_CodeSniffer/Manifest
index 34a3ea45afc0..0e3aa95cb7f7 100644
--- a/dev-php/PHP_CodeSniffer/Manifest
+++ b/dev-php/PHP_CodeSniffer/Manifest
@@ -1,2 +1,3 @@
DIST PHP_CodeSniffer-3.5.4.tgz 697668 BLAKE2B f5915bcb73c0db0d8dcab3eda5ab647268888e490d244568f0d0e7fff38c4764cfe62fcc79dabe8095adcef56b1e6d0367d46c36b18d0c4e0fb04a048c697737 SHA512 3e8024aac18111741637f014629eeaf5863b2f080a673e5b379a676fafb69859d1889ae13289b0149a9810641b0a140123a970ae1178fcd2cf6da1c414233bfd
DIST PHP_CodeSniffer-3.5.6.tgz 706080 BLAKE2B 1d9d097e7c60f520973a0dff16e6b31c9e259599ded3f58ac6dda2f10419969b03c18d1ce7c38f19a0f3474b0d5cf4afc5abb889f820da0d5d9e8f0574a0a354 SHA512 392c162cc8cb8d8fe455990d7f358cc59f486d8083387dc3bf60af6ca7aa0e75b72ed337f624b08948d8060cc96bd2d03373b7508fb9179da6a4e6b83adf06a7
+DIST PHP_CodeSniffer-3.5.8.tgz 716472 BLAKE2B e56efedc07a9db63eb2f135d9fef69bf055cef09c23dd9cd1e0efeed865d559b428e9aec06393b1ec1f58d32add92b2773c3d9ce33377f2441de0145560045a8 SHA512 69ef3d86520f541f492c955bd8158664c78aac6ecd4550f2b996f59d882d91f1bec81da9bbd106edc35c4f1a4c260ef2d9a56ec257fc0b4044047b902403065e
diff --git a/dev-php/PHP_CodeSniffer/PHP_CodeSniffer-3.5.8.ebuild b/dev-php/PHP_CodeSniffer/PHP_CodeSniffer-3.5.8.ebuild
new file mode 100644
index 000000000000..ee16c9322ac2
--- /dev/null
+++ b/dev-php/PHP_CodeSniffer/PHP_CodeSniffer-3.5.8.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Detect violations of PHP code standards"
+HOMEPAGE="https://github.com/squizlabs/PHP_CodeSniffer"
+
+# The test suite isn't part of the Github tarball at the moment. Keep an
+# eye on https://github.com/squizlabs/PHP_CodeSniffer/issues/548
+SRC_URI="http://download.pear.php.net/package/${P}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-lang/php:*[cli(-),tokenizer(-),xmlwriter(-)]"
+DEPEND="test? (
+ ${RDEPEND}
+ <dev-php/phpunit-6
+ )"
+
+DOCS=( CONTRIBUTING.md README.md )
+
+src_prepare() {
+ sed -i "s~@data_dir@~${EPREFIX}/usr/share/php/data~" src/Config.php || die
+ default
+}
+
+src_test() {
+ # The test suite will fail if date.timezone isn't set in php.ini.
+ phpunit -d date.timezone=UTC tests/AllTests.php \
+ || die "test suite failed"
+}
+
+src_install() {
+ local MY_PN="PHP/CodeSniffer" script
+ # The PEAR eclass would install everything into the wrong location.
+ insinto "/usr/share/php/${MY_PN}"
+ doins -r src autoload.php
+
+ insinto "/usr/share/php/data/${MY_PN}"
+ doins CodeSniffer.conf.dist
+ # These load code via relative paths, so they have to be symlinked
+ # and not dobin'd.
+ exeinto "/usr/share/php/${MY_PN}/bin"
+ for script in phpcbf phpcs; do
+ doexe "bin/${script}"
+ dosym "../share/php/${MY_PN}/bin/${script}" "/usr/bin/${script}"
+ done
+
+ einstalldocs
+}